package jp.agentec.abook.abv.bl.dto;

import java.util.Date;


public class EnqueteDto extends AbstractDto {
	public int enqueteId;
	public long abObjectId;
	public long abEnqueteId;
	public long contentId;
	public Date replyDateStr;
	public String param;
	public boolean replyFlg;
	
	@Override
	public Object[] getInsertValues() {
		return new Object[]{enqueteId, abObjectId, abEnqueteId, contentId, replyDateStr, param, replyFlg};
	}
	
	@Override
	public Object[] getUpdateValues() {
		return new Object[]{abObjectId, abEnqueteId, contentId, replyDateStr, param, replyFlg, enqueteId};
	}

	@Override
	public String[] getKeyValues() {
		return new String[]{""+ enqueteId};
	}

}
